Remote Administration Suite

Remote Administration Suite Help
v3.0 Beta

Remote Administration Suite

Current Version: v3.0 Beta
Released: 8/26/2006
Updated: 11/21/2006

Development Team:

Gary Frost
Scott Forehand

Jarvis Stubblefield

Testing Team:

Shaun McConnell

Kevin Whitaker

Ian Siegert

Portions Credited To:

UP_NORTH
Archrival

w0uter

Valuater

cdkid

randallc

rakudave

Holger

CoePSX

FeReNGi

CyberSlug

Manadar

RazerM

ChrisL

Daniel W.

Lazycat

arcker

Rick

PsaltyDS

Special Thanks To:

Jonathan Bennett & AutoIt Team

Copyright © 2005-2006 Remote Administration Suite Development Team, All Rights Reserved


Introduction

Introduction

This version of the Remote Administration Suite remains true to the original concept of providing a free solution to remote system, and network administration. It provides an easy to use interface for performing common administrative tasks, and gathering information remotely from the target machine(s). Great improvements have been made to the GUI, as well as streamlining the code to improve the speed and functionality of the application.

Remote Administration Suite Help is structured as follows:

The chapter entitled 'General Information ' contains current features, installation information, frequently asked questions, version history, and an overview of the user interface.

The chapter entitled 'User Interface ' gives a brief overview of the graphical user interface.

The chapter entitled 'Menu Structure ' describes the menu structure and explains what each individual command does.

The chapter entitled 'Context Menu Structure ' describes the context menu structure and explains what each individual command does.

The chapter entitled 'Preferences ' describes the preferences and explains what each individual setting does.


General Information

General Information

General Information about the Remote Administration Suite.


Features

Features

Coming Soon...


Installation Directory Structure

Installation Directory Structure

Files and Directories |  | Descriptions
(Top-level)
RAS.exe |  | The Remote Administration Suite main program.
Uninstall.exe |  | The uninstaller.
RAS Help.chm |  | This help file.
RASUI.dll |  | Helper DLL. (Required to run the application)
RAS.ini |  | The configuration file. (Do not modify this file)
 | Bin\ | Contains temporary files used by the Remote Administration Suite .
 | Plugins\ | Contains plugins for use with the Remote Administration Suite .

Installation Registry Keys

The RAS installer creates registry keys under HKEY_LOCAL_MACHINE\SOFTWARE\RAS and HKEY_CURRENT_USER\Software\RAS.
The table below shows the default (or typical) registry keys. The keys in italic are not created by the installer itself but by the first execution of the application:

HKEY_LOCAL_MACHINE\SOFTWARE\RAS\
RAS
 | (Default) | REG_SZ | (value not set)
 | InstallDir | REG_SZ | C:\Program Files\RAS
 | Version | REG_SZ | vX.X
HKEY_CURRENT_USER \SOFTWARE\RAS\
RAS
 | (Default) | REG_SZ | (value not set)


Frequently Asked Questions

Frequently Asked Questions

This section gives answers to some of the more frequently asked questions from the AutoIt Forums. If you can't find the answer you need here, the AutoIt Forums are the place to look.

Remote Administration Suite


Using RAS

Using RAS

Information about using the Remote Administration Suite.


Intended Use

Intended Use

The Remote Administration Suite is a robust tool for system and network administration. It is intended to aid administrators in common tasks and information retrieval. This tool was not written to be used maliciously.


Getting Started

Getting Started

The Remote Administration Suite is configured to work out of the box. It polls the host computer for the current domain/workgroup, and sets that as the default. By default, RAS will use LDAP to retrieve a list of machines from Active Directory, and will query them for information using WMI. These, and all other options can be configured in Preferences.


Tutorials

Tutorials

Remote Administration Suite tutorials.


Querying Machines

Querying Machines


Filters

Filters


Remote Control

Remote Control

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Add Custom Clients

Add Custom Clients

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Messaging

Messaging

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Add Custom Messages

Add Custom Messages

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Version History

Version History

Remote Administration Suite v3.0

Remote Administration Suite v3.0 Beta

- Reformatted GUI

- Added Aesthetic Enhancements (Icons, etc.)

- Added Main View Tabs
- MachineList View
- Machine Domain View
- Added Information View Tabs
- General Tab
- Network Tab
- Peripherals Tab
- Startup Tab
- Processes Tab
- Services Tab
- Tasks Tab
- Hardware Tab
- Software Tab
- Uninstall Software Tab
- Event Logs Tab
- Users & Groups Tab

- Added Functional Toolbar

- Added Functional Status Bars

- Added Functional About GUI

- Added Functional Preferences GUI

- Added Functional Configuration File

- Added Functional Specify Machine GUI

- Added Functional Find Machine GUI


Planned Updates

Planned Updates

Remote Administration Suite v3.0

Remote Administration Suite v3.0 Beta

- Set Custom Views

- Preference to Set Custom Views [Will populate only the views selected when populating custom views]

- Add Software Icons to Software Views

- Password Encryption to RAS.ini

- Encrypt the password being passed to the Configuration File

- Decrypt the password being passed from the Configuration File

- Main View Tabs
- MachineList View
- Machine Domain View
- Information View Tabs
- General Tab
- Network Tab
- Peripherals Tab
- Startup Tab
- Processes Tab
- Services Tab
- Tasks Tab
- Hardware Tab
- Software Tab
- Uninstall Software Tab
- Event Logs Tab
- Users & Groups Tab

- Add Tools (External and Internal)

- Remote Command Prompt
- Wake On LAN
- Screenshot

- Computer Management

- Registry Editor

- Event Viewer

- MS Info

- Ping

- Telnet

- Traceroute

- Export Functionality

- Text Document

- Microsoft Excel (.XLS)

- Microsoft Access (.MDB)

- HTML

- XML

-

-

-


Known Bugs

Known Bugs

• Open the Find dialog, and it works fine, but open the Specify dialog, specify a machine, then open the Find dialog, and instead of finding the machine, it will specify it.


User Interface

User Interface

Information about the graphical user interface of the Remote Administration Suite.


Menu Structure

Menu Structure

Information about the menu structure of the Remote Administration Suite.


File

File

Specify Machine

Open

Save

Save As

Import/Export

Print

Print Preview

Recent Files

Exit


Specify Machine

Specify Machine

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Open

Open

This opens List Files (*.lst). List Files are used to specify a list of computers.


Save

Save

This saves the current Machine List as a List File (*.lst).


Save As

Save As

This saves the current Machine List as a List File (*.lst) under another name.


Import/Export

Import/Export

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Print

Print

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Print Preview

Print Preview

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Recent Files

Recent Files

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Exit

Exit

This closes the Remote Administration Suite.


Edit

Edit

Find Machine

Preferences

Favorites


Find Machine

Find Machine

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Preferences

Preferences

This opens the preferences area in the Remote Administration Suite. See the section entitled 'Preferences' for more information about the various settings.


Favorites

Favorites

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


View

View

Toolbars

Details

Icons

List

Refresh

Stop Refresh


Toolbars

Toolbars

Status Bar


Status Bar

Status Bar

Click on this command to activate, or deactivate the Status Bar. If there is a check mark next to the command, the Status Bar is visible.


Details

Details

Click on this command to display the details of the files in the File Browser.


Icons

Icons

Click on this command to display the files in the File Browser with icons.


List

List

Click on this command to display the files in the File Browser in list form.


Refresh

Refresh

This starts, and refreshes the query for machines.


Stop Refresh

Stop Refresh

This stops the query for machines.


Tools

Tools

Send Message

Command Prompt

Computer Management

Registry Editor

Remote Control

Wake On LAN

Ping Utility

Shutdown Machine

Plugins


Send Message

Send Message

Custom Message

Predefined Message


Custom Message

Custom Message

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Predefined Message

Predefined Message

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Command Prompt

Command Prompt

Local Command Prompt

Remote Command Prompt


Local Command Prompt

Local Command Prompt

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Remote Command Prompt

Remote Command Prompt

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Computer Management

Computer Management

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Registry Editor

Registry Editor

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Wake On LAN

Wake On LAN

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Ping Utility

Ping Utility

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Shutdown Machine

Shutdown Machine

Advanced Shutdown

Shutdown

Restart

Suspend

Hibernate

Log Off

Lock Workstation


Advanced Shutdown

Advanced Shutdown

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Shutdown

Shutdown

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Restart

Restart

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Suspend

Suspend

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Hibernate

Hibernate

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Log Off

Log Off

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Lock Workstation

Lock Workstation

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Plugins

Plugins

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Help

Help

Help Topics

Update

About


Help Topics

Help Topics

This opens the Remote Administration Suite help file.


Update

Update

This opens an update dialog that will check for product, and plugin updates.


About

About

This opens a window containing relevant information regarding the Remote Administration Suite such as the number of the installed version, developers, and testers.


Context Menu Structure

Context Menu Structure

Information about the context menu structure of the Remote Administration Suite.


Preferences

Preferences

Information about the Preferences of the Remote Administration Suite.


General

General

User

Network

Remote Control

Export


User

User

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Network

Network

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Export

Export

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Tools

Tools

Messaging

Third Party

Plugins


Third Party

Third Party

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


Pathing

Pathing

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)


End-User License Agreement

End-User License Agreement

This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and the mentioned author(s) of this Software for the software product identified above, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("REMOTE ADMINISTRATION SUITE"). By installing, copying, or otherwise using the REMOTE ADMINISTRATION SUITE, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the REMOTE ADMINISTRATION SUITE.

REMOTE ADMINISTRATION SUITE LICENSE

The REMOTE ADMINISTRATION SUITE is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The REMOTE ADMINISTRATION SUITE is licensed, not sold.

The definition of REMOTE ADMINISTRATION SUITE includes any files generated by the REMOTE ADMINISTRATION SUITE, such as compiled script files in the form of standalone executables.

1. GRANT OF LICENSE.

This EULA grants you the following rights:

Installation and Use: You may install and use an unlimited number of copies of the REMOTE ADMINISTRATION SUITE.

Reproduction and Distribution: You may reproduce and distribute an unlimited number of copies of the REMOTE ADMINISTRATION SUITE; provided that each copy shall be a true and complete copy, including all copyright and trademark notices, and shall be accompanied by a copy of this EULA. Copies of the REMOTE ADMINISTRATION SUITE may be distributed as a standalone product or included with your own product.

Commercial Use: You may sell for profit and freely distribute scripts and/or compiled scripts that were created with the REMOTE ADMINISTRATION SUITE.

2. COPYRIGHT.

All title and copyrights in and to the REMOTE ADMINISTRATION SUITE (including but not limited to any images, photographs, animations, video, audio, music, text, and "applets" incorporated into the REMOTE ADMINISTRATION SUITE), the accompanying printed materials, and any copies of the REMOTE ADMINISTRATION SUITE are owned by the Author(s) of this Software. The REMOTE ADMINISTRATION SUITE is protected by copyright laws and international treaty provisions. Therefore, you must treatthe REMOTE ADMINISTRATION SUITE like any other copyrighted material.

3. MISCELLANEOUS.

If you acquired this product in theUnited Kingdom, this EULA is governed by the laws of the United Kingdom.

If this product was acquired outside the United Kingdom , then local law may apply.

Should you have any questions concerning this EULA, or if you desire to contact the author(s) of this Software for any reason, please contact him/her at the email address mentioned at the top of this EULA.

4. NO WARRANTIES.

The Author(s) of this Software expressly disclaims any warranty for the REMOTE ADMINISTRATION SUITE. The REMOTE ADMINISTRATION SUITE and any related documentation is provided "as is" without warranty of any kind, either express or implied, including, without limitation, the implied warranties or merchantability, fitness for a particular purpose, or non-infringement. The entire risk arising out of use or performance of the REMOTE ADMINISTRATION SUITE remains with you.

5. NO LIABILITY FOR DAMAGES.

In no event shall the author(s) of this Software be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this product, even if the Author(s) of this Software has been advised of the possibility of such damages. Because some states/jurisdictions do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you.


($title$)

($title$)

($content$)